## hermes 0.8.4

=== debian/changelog ===
hermes (0.8.4) fremantle; urgency=low

  * Prevent overzealous matching on LinkedIn/Facebook based on *any* 
    URL.
  * Handle cases of empty URLs & phone numbers attempting to be
    added (silently ignore).

 -- Andrew Flegg <andrew@bleb.org>  Sun,  4 Jul 2010 13:51:08 +0100

=== debian/control ===
Source: hermes
Section: user/utilities
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: debhelper (>= 5), python-runtime | python2.5-runtime, sharutils
Standards-Version: 3.7.2

Package: hermes
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
 python2.5-imaging, python-osso | python2.5-osso, python-hildon |
 python2.5-hildon, python-twitter, python-facebook, python-evolution,
 gnome-python, python-gobject (>= 2.16), python-conic
Description: Enrich contacts' information from social networks
 Hermes, the Greek god of communication, will fill in the gaps in your
 contacts' address book. Photos and birthdays for your friends on
 social networks like Facebook and Twitter will be used to complete
 the jigsaw.
XB-Maemo-Display-Name: Hermes
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Hermes
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAEs9JREFUeNrsWQeQXdV5/s65
 5d3Xt3dptQVJSEJCDTUkJBliwDImg2ku2DE2hngcTFzieGyPW2w8NmIoHnBo
 MRNHZMBYSSiCGMnCkhBircau6kq7q+37tr5+2zn5793VSqtiHI+dGU98pbOv
 3HvO+cv3f///n8eklPhzvtirrz42+cHTJRjgSAz2YOXKtayooEKRUpGamiE9
 pfhdCymM/XEEomG6gK6AW26YCSHQ13fC3brtv1FTPQNMD4wLevr5Fzc/OEUB
 QwXWrb3O0FTNcIUIKIpC33BbuMMD/1cKuLycc1hlQjqKcIWtqIppWbnsy69s
 ttVwZOrz0j00+UG40QjnUg4ODxmxSLiSboc55zHGWBrQmoU7mLrYxvyPiQul
 oIT2nielq5AHkuT8dCqd6y0pK3NGEwk3pOdypx9V29o7PdtDkPkLYtWBeCxc
 HQwEHJo0R+EaLYQiWowEd0gJNPsPX+ASfyTZOY+Sx9FI2yyjfT3HjhB8e4KG
 5rqOHRwcHWp1LRtswmJqNBqBbdvI500Edc2kiQt0TSN1nHm0Wi2DiIIx0pil
 uVIwINzR/j9tVCpVtN8KereSzELy8xRjzhFd12KunTdrK8PNJ9qHGZNcejoo
 8bgD6VhYMH9VUAsoUemYq5iirWCQ1QSd2WBqJYNSgvEg7mI8mJAy7zDJcPY/
 oUsfwGwSyX+A9ZWiGL0spncfYIxfTooUkxwFtDpnTK0Trt2lGQWdgqxbUMjc
 eEEQasgw6DmGQDisO2Z2Aa0SYcylRRSNMaWcMU0X4CSus1jCPUmKJGiTo+dC
 KXAkTnIz2A1jYOJ/GRFMkuEjBB1xCQm/muRZIJleRbAlU8gcuK5Dug5XlL2u
 K+aVl1e8fbK9Fb/d/QbUbD6PlauvRj45ytSANpsp+ixasgQKj4GFAjSIEQSE
 yMygKF9O9zq4Eh+RTtKHkvSNTbqocvz1DyYjXk1jKS2wVDK1hvNwUHrryYwG
 mTdIgEEO/XJXOv1mekh42xCswOvqFvGCwopSwkeRkG6Q4DKPLE/sUxBk3OCM
 hyhgImTcYNy/B6yG5KRoUdjjHmYpUEz9TDArAnJikCveY8gJ2BcV0t/LyBpX
 0h6zGQtFGA9TCIZp35DKeTxEGImTIHNJEUMoRkVd3axSi4JZXbdinujr6siW
 llZuEMIm6pSFjIVDjEenkCPnEU73q4gRljApeui5Idr+kBof9SAJFLjjUPLm
 qJrHDxOx4IVOTrFsK5glFnGEq3l+o0toimqGlQrBHEnQYWs83EsWKOdKdDIr
 eHJISVBiVpTYNErP1AdUPXO4pfmFmz9yJdS8ZaK+/upMPnl0RNECSwntBmOU
 js9ldkapkQcN6Tj1JPAyWrWLs/jILzpemafqgaEPVV7VBFjImEMFv+1tmXti
 LFH3VqK9/omBI5dieN8lcGwiAnhZSCe5FB9vlK1gIIPS5fkfX3KDcW3lspKa
 SKMWR4HHL2e2Zl4uNQjJ6RiHstTK5V6+dB73LcbSI0diQcOol0LMIYverarG
 KqkWEnSMCyJV2mOEtGwnpLXrqzt+FP7Rjp988Ie3fukemXbx1aN71qFr5xXI
 oQ4eqrwlQjQIbAj6oqegYZgGRTpsck4QeZQjSRKnSGIvPXli1c/Gkwu/gttq
 b0BYLR7fV1iAPUQVQe6/KOT/lTxxzDSz7ezUsTdYaUn1Ci0Q+DRhfzlXQjOh
 FysXCzXPnYmxFqf86Ttc9B4MoIHE8AQbQNwXmNIeikm42LReFF6++4clC7cv
 ClacLNeifaVaJBFVjWSYBfIiNz0kpbqMQHaLy+Q6i8sZSSoido4cwM17vwsc
 PuBzwmeu/jp+Mv8foFEcynyvSdn5kBDWm5ZpPRkq6m5muZHjxPVyITlpNdeM
 m7leWAI1chHxXTzT9DQ+9cRdAEULZtCIT8A9QDoXXNnxubIrXvxCxdJ/qzOK
 jikwkuNQdCdiQYwzVaoxIBgnsmAfomi4nnF9DvQokcZpMpBIOwncsu+f8OrW
 hwEK8ZMfO4QZWjWENdwhHPs58kITVQ+7War/UEUwGLoLXP0I52ot06IGZYfz
 RM9YCSx+9tM4uu8//USPktPwYFg3/d7O+6tWPrAoXvSMykLJM2UZOyuQxw0g
 hkoYCTuL1LpGegpwZQnXo3GowQuabCDXhvIX1gH9HXj7U29gaXBumsjkBKWF
 f85lMy+oBJs5cN1aeg3S/8CFhD/QswuXf2/VuLUXnmV1fyzE+4MztCuUFV0y
 yXQ3chSDg0M4dqwbBw4cR3//iD8oAaGzM4HXnn+pmhh0GThbQ4E6hyvB2MWE
 966yYB3cjx3B9C2fxLIn3ofWz74VqlMqg1S8zSIPNqi6qg+T5QlFnv8Udi7e
 N775EL708y8BRHSYPhGQGuEnPh8fLlyMLxSvFguCM1yC7/Vk7SxPz9ldU1Mz
 4jju+QXfSE8ZvSwny19LRLQUqlEOPfKeqY8zA53XPQs+1obGV1Zw+4aThsJ1
 N6BjSCVKKlZCkTBUIm/GzkqkFj646TN4edezfnUCSuwovAnfKboSt1a8DzOi
 DdBUw6MHznLpUimtpfR+lOan7ETnXlZYlZ1ijOEeqnOI5yWuIQZZAiVQzQJh
 jt+zjyDcIXPjKwjfX4KHul8ovrfslmgua5aybHfrHC0YuElh/OZd+5rnZS3G
 4kUhfGDfdzDY+ToJX4Srqz6DT4YXYaFWT62NikwmD0IEli5b5tdRVObi16+/
 LlLpseHkWOpwR1fX/mMn29rkRL+qqqoyu7Fh5rSqygWxeHx2LBaPXbn+fczr
 lVzXxc6dO5HNZv21zhPcW9+VPgTrppXj7sMb5Q7nOdvecPzbubTzHNIdRy93
 BzueOdW8d7DjZJtM21mJn10l8XSNfODYs7JruFu6SUuao3mZHEnL1FhaUukt
 e/r65N69+zwZZXd3t2wjeQXRguPYVLeeHs5Z78c/U4MiE4mEfOedd86a2+5/
 b1nWxLAnhjVliLyUm5telfgG5PH+X20ebTt8iaooelwKxbJMc1SPqsWPHNyE
 xxd+Dh+fcR2BlmIFWSTdzJkSmSzv5h2EjCByuXGUeP2Ed9/Op3CgXeInWyU0
 CiePQB36qzDPgoTCSBafv16huQGaO95UkWCgthXpdNr3xtTmUiKgqVQB0HNe
 TFGVu6hynn93f6q18IZQXZEqXNkmXfkbjduz8qnhhrsbPowCRcfmnix+2J7B
 pss1VFEf7RAYLCo9qfChBanIPec0QwgXtkPqDrdjuCuL3ZlGGMIkCh/DsBuB
 EgxDy4/g9uVB1FbqU+DiwYP6b3gN/GRHQUp7W+xu6cZgMovZ04tRW1GAmEJF
 arjKPJBsHd4QWznEbdMchiNG9KG3S4MUuIKEzDoZnMq42G0x7EgI7BwU2EFj
 1BJe60IbyfMU8D6SITFmhnFwsBCGlcbaqhRe/VoUN83OwMykERA5/8Hz50o/
 v8mJe97QVY4tb7fii09tw49/sQctbQPQFU6diZf5q7JZJ0+laHaMC8uzrds3
 euhXEUcyv/ESNILktoVU49/ZJrD+kMD7WwRe6qG5XPjPTHU3/O9Mm+ZmuzBL
 OYp0Kkk7qVBixcSWQZjpMYJe2rcyVaTneG98zXHhaW0auqrgRM8YiC/xyN3r
 cf2yBqTyljeXHrByBMsRwqfNQ47MQj0e6Hz3tRJqeUBBCO+ZE1kX+9IC36+k
 mK6lmJ4hsbpYULVJAhAez1XA+85rfFytDPv6wghaKXR0nMJ3Hj+Apn2t0PNU
 6VDMOI5DQogpXnBcx59/el2DhH/0pSY8tecommjOXz3+Gv5j91FSxjszsl2Y
 fYFyI9xmlNqj6uhoGmFlf0U6A12oQVe6QuGKi5YM4bFPoHSmilspBxB64HmI
 kDVxBiTPPl/yBfI8EFNTuKxgCN25GL7yuTkIR0O40bbw/QcP43hH1o8VP5Cm
 eED6XvCHF7jkgRMDY+g42eXdxBitkSOjen141s5rsAei8+LVLZRRwZ984qfU
 HfYVO5wqSGr/vUXyhKpPlNMmOsMn9pBFfuUiRuORNhdhPu5ij5vPbou9eWQ4
 DGUUbD0qMLM+BKUojjFiDicaQV1jAcFqbELQc05mpJhUwFMuTXnm/o+uwvqV
 l1IRZuLlL38INy1rRCpnUhzSBqU1iVWVDTs8SlSVshIupR2WxHZi/EKGFlxL
 xdrT1KF+6piflH36tElo6VuLMvYFAtG0qFgzB7CwqB8v/9rBqe4xhIMq8nkX
 bR0pmLkMJT2X1hDnecCdwP7py9/L34ONQ4uGTzDCxrraK/ZG8utTD331G0yd
 Wz1NQGkzqYXVpWP5hvWETJPQG0qBrmJJ7huvknQK7KTN/OzvLc29dOzxsycU
 bebRqx4sRECPYvV0Bis9ApGSfpswt1RBfEYABinkUaafGLy5tusfqvnMNkmj
 chJO3nvHC24q+KRJfZBpYtVw2VOIHHHuffR2UMOsQIsW9mreeqk+JVA2jRa3
 /ALYnmjsouwsqhxvkCEoGJEzXWRNppg244qXuTSsuaIBa5c3XvAAj5PmXhy5
 NvW4JpmK4KHkTaFpCtXBBuni+J71lOFUZjgu87tsL9Gx1s3g6X4UVW5wtj2+
 ++iDQ8IrUfyCGEbNrAOxQqQHDm9JHziV7ZRmLhQ0dM+iAV1RY7SxRj2mzjjz
 Dk8kvVeTY2Ni1ZzLkshZekk4pux6c5t6IhomknFSJEjSsu0MMYrNvUtRSEQl
 QH9CAUWLZ5Jpff3iJQ7ylig0wtab27fHA7EI5S7mBoI6wiHDKoiHna+vqwqk
 GtvD03fehOaxvkRy6RM9LU2vtL319sG+nW/tH094L218BB+4bzGaH7lje39n
 a3VmyQ/m37DmHic/MqoEDKOcjLYa3jGBFLPJFPUkv0nTCghH1Hn7xwVeRalB
 4d1Unr6DkL6d8r+3+ihlW6/cOZ1yCZCoRSa/kJReTeaeSWsy39WcKeTeIQJ6
 djQ9UDg81GzKwV318dTuiq6DTeHhUEFTxY0b7+AnKo5cesv1U1yrnn5TddXt
 j/U8/N1NaxsTd5ulzRsffOZJ/OPHNnY7+exBNUANA9VgYGKQhCVkyRBtON0/
 ioPIkPA5GidgaE1SV1u4f5o9WU3KiSBPSK/BCAUsZlONYTs9FLXUiYk4lEQR
 WD/DUPP8YO/+6SWJfUqiYz9e20u6NdRvv/ErD90mlXDftGs+eB4sJxTIomj+
 dc+VLn7+k3uf3vjAiq817tu/pXs7Pmw6atDoJuB64ZCcGB5IvTqtyzvtojFK
 FuyTGu+VAbVd4XxSeF1XUVgYwpw5dbjttqvkpk3bUgTxPqjWQYFdc0V+ZGa+
 793LrKHjJSIzAJFvg5nqBeU/7DlOnevV1/77dZ/94l3r592b3rL//gv2CeqZ
 tzZm3/rNe3fe/5Gd7/70b1/8+fMP/fXcpSu27/vNW6P6jA7HPlZjaZpheomF
 hPaqr16oLAbP2pwNUGB4JWv2l7/8FsrKCn1WuuSSakSoVwqFYj4dEJqEd9Yv
 FaPdHm6pSu3/xTppdfjU6+Yph4wA77YBJ0ZgXnP33325pviOx3Qj5exofZSq
 1cx7KxAsmn502X1PXbfr4Ts3791479amX97xbb2m+UEgltRmtubQfVkfUQOH
 ptFMRrWB536Cg2BZYegmpUG2YcM3uKq+NUHozkRDb9Gja7lH5BxNRW7q2I3O
 YPNimO/ATZHWVOOdGgSayOrh2oq9d37r2/dU1y/YQ6XhBJtd/LB4IogvPeur
 ENLDp2a9/dR9/2K19i6ftwQnK678/GNa3doXYVSfHF/Q8U8Y3GONKlOYVyO6
 ZiQgEdOlwg0oOvEJiUos5B0hgrlbp8tk70p3qGOd09W0wez9TUVmZBhUYSBJ
 hm1pB9rJ6lfcdPsDa2+58weKZhAM81N+//E8UFt7G4aHp3qC3fnxj+LJZ//m
 HL10IgQndGTbps+3b33iPupDymvqkCtfsGZLsGrxO0p82hFEK1sRiA0T91Mv
 6B3zUS4XrkFpMyZzYzWUdBpkZrBejJ6aZ/e3rMoP7SkcGXTR20cl1jCZqQT9
 lFTDbe2I8PLIoWvv+tYXG+av2QKkL/B7z+9QYDxdv3GRX73CyGX6y7qbd13f
 veeF282e1nUhqqDC1OBE40AwgqxGDlP0IuqkOZfOaMgxnahNnGRSs0ZNFqhW
 RJooIO0SeWroLJ11zdb6JWtfj4aDqed/8PcvXLruxp+tue2ebwYCMcJL5qK/
 wP0BCkz+4jZxyOmwbCpRlUp0NSZOHFw02vnuIjfTX8NEKuqYQyHpwjtQF4wH
 81Irzrg8mNYiVacKa+a8W1I761C0rKIzEi/s0tRY1qsix3oONGSTiemVs9du
 w+ShKP4UCpzdo/KJuNdwJhYEo2jQaB2KBf/cnAoAhW5Q7+Q/h8mYOXPEeNow
 3lrm7/Pjx3sp8Od7cfyZX39R4C8K/H9X4H8EGABokcnRq7TBKgAAAABJRU5E
 rkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/hermes.sgml > hermes.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hermes.
	$(MAKE) DESTDIR=$(CURDIR)/debian/hermes install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hermes 0.8.5

=== debian/changelog ===
hermes (0.8.5) fremantle; urgency=low

  * Re-fix "scroll to position" fix for MB#6879, which was broken by
    find-as-you-type searching (reported by Peter Oliver)
  * Retrieve all Twitter followers, rather than first 100 only.
    Fixes MB#7613, reported by Adam.

 -- Andrew Flegg <andrew@bleb.org>  Sun, 25 Jul 2010 15:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
- python2.5-hildon, python-twitter, python-facebook, python-evolution,
- gnome-python, python-gobject (>= 2.16), python-conic
+ python2.5-hildon, python-simplejson, python-facebook,
+ python-evolution, gnome-python, python-gobject (>= 2.16),
+ python-conic
 Description: Enrich contacts' information from social networks
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.8.6

=== debian/changelog ===
hermes (0.8.6) fremantle; urgency=low

  * Fix translation Makefile and French translation (provided by Nicolas 
    Graziano)
  * Set minimum version of python-facebook to get HTTPS by default 
    (fixes MB#11029, reported by Tobias Mueller)
  * Implement OAuth for Twitter (fixes MB#11275)
  * Add debugging to help diagnose MB#11103.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 19 Oct 2010 19:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
- python2.5-hildon, python-simplejson, python-facebook,
- python-evolution, gnome-python, python-gobject (>= 2.16),
- python-conic
+ python2.5-hildon, python-simplejson, python-evolution, python-conic,
+ python-facebook (>= 0.svn20090225-0maemo2), python-evolution,
+ python-gobject (>= 2.16)
 Description: Enrich contacts' information from social networks
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.8.7

=== po/Makefile ===


GETTEXT_PACKAGE = hermes
PACKAGE = hermes

SHELL = /bin/sh

prefix = /opt/$(PACKAGE)
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMT = /scratchbox/tools/bin/msgfmt
XGETTEXT = /scratchbox/tools/bin/xgettext
MSGMERGE = /scratchbox/tools/bin/msgmerge 

PO_LINGUAS= fi_FI fr_FR pl_PL sv_SE

USE_LINGUAS= fi_FI fr_FR pl_PL sv_SE

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = \
	../src/org/maemo/hermes/engine/twitter/provider.py \
	../src/org/maemo/hermes/engine/linkedin/provider.py \
	../src/org/maemo/hermes/engine/facebook/provider.py \
	../src/org/maemo/hermes/gui/gtkui.py \
	../src/org/maemo/hermes/gui/accountsdialogue.py \
	../src/org/bleb/wimpworks.py \
# This comment gets stripped out

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .gmo .mo 

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

all: compile

compile: $(CATALOGS)

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --package-name=$(PACKAGE) -o $(GETTEXT_PACKAGE).pot $(POTFILES) 

install: all
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  mkdir -p $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	done

clean: 	
	rm -f *.mo *.gmo

update-po: 
	$(MAKE) $(GETTEXT_PACKAGE).pot
	linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  if test -r $$lang.po; then \
	    $(MSGMERGE) -U $$lang.po $(GETTEXT_PACKAGE).pot; \
	  else \
	    cp $(GETTEXT_PACKAGE).pot $$lang.po; \
	  fi; \
	done

=== debian/changelog ===
hermes (0.8.7) fremantle; urgency=low

  * Update Swedish transaltion (provided by Fredrik Wendt)
  * Update Finnish translation (provided by Marko Vertainen)
  * Add `gnome-python' dependency (fixes MB#11476, reported by
    Martin von Weissenberg & arnoonline)

 -- Andrew Flegg <andrew@bleb.org>  Thu, 28 Oct 2010 10:03:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
  python2.5-hildon, python-simplejson, python-evolution, python-conic,
  python-facebook (>= 0.svn20090225-0maemo2), python-evolution,
- python-gobject (>= 2.16)
+ python-gobject (>= 2.16), gnome-python
 Description: Enrich contacts' information from social networks
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 0.8.8

=== debian/changelog ===
hermes (0.8.8) fremantle; urgency=low

  * Improve user feedback when cached credentials expire.
  * Re-implement Facebook service to use OAuth 2.0 and Graph API
    (fixes MB#11103, reported by Tomi Rantalankila)
  * Add support for importing "interesting" contacts from LinkedIn.
    For LinkedIn this includes birthdays & email addresses (completes 
    MB#10802)
  * Ensure that a corrupt/broken OAuth string won't cause crash at
    startup (fixes MB#111490, reported by Ove Nordstrom)

 -- Andrew Flegg <andrew@bleb.org>  Thu, 30 Dec 2010 17:12:17 +0000

## hermes 0.8.9

=== Makefile ===
#
# Makefile for Hermes: Contacts Updated
# (c) Andrew Flegg 2009. Released under the Artistic Licence.

DEBVERS := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')

compile:
	perl -pi -e "s/(WimpWorks\.__init__.*?version\s*=\s*)['\"].*?['\"]/\1'${DEBVERS}'/" src/org/maemo/hermes/gui/gtkui.py
	perl -ni -e 'print; exit if /^XB-Maemo-Icon-26:$$/' debian/control
	uuencode -m share/hermes-48.png - | perl -ne 'print " $$_" unless $$. == 1 or /^====$$/' >>debian/control
	py_compilefiles `find src -type f -name '*.py'`
	cd po && $(MAKE) compile
	mkdir bin

install:
	mkdir -p ${DESTDIR}/opt/hermes/lib ${DESTDIR}/opt/hermes/bin ${DESTDIR}/opt/hermes/share
	ln -s ../lib/main.py ${DESTDIR}/opt/hermes/bin/hermes
	cp -r src/* ${DESTDIR}/opt/hermes/lib/
	chown -R root:root ${DESTDIR}/opt/hermes/lib/
	install -D -m 0644 -o root -g root src/*.py* ${DESTDIR}/opt/hermes/lib/
	install -D -m 0644 -o root -g root share/account-*.png share/background.png ${DESTDIR}/opt/hermes/share/
	install -D -m 0644 -o root -g root share/hermes-64.png ${DESTDIR}/usr/share/icons/hicolor/scalable/hildon/hermes.png
	install -D -m 0644 -o root -g root share/hermes-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/hildon/hermes.png
	install -D -m 0644 -o root -g root share/hermes.desktop ${DESTDIR}/usr/share/applications/hildon/hermes.desktop
	install -D -m 0644 -o root -g root share/hermes.service ${DESTDIR}/usr/share/dbus-1/services/hermes.service
	chmod 755 ${DESTDIR}/opt/hermes/lib/main.py
	cd po && $(MAKE) install 

clean:
	rm -f `find src -type f -name '*.pyo' -o -name '*.pyc'`
	rm -f build-stamp configure-stamp
	rm -rf debian/hermes bin
	find . -name *~ -exec rm -f {} \;
	cd po && $(MAKE) clean

package:
	dpkg-buildpackage -rfakeroot -uc -us

=== po/Makefile ===
--- 
+++ 
@@ -27,12 +27,13 @@
 EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS
 
 POTFILES = \
-	../src/org/maemo/hermes/engine/twitter/provider.py \
+	../src/org/maemo/hermes/gui/accountsdialogue.py     \
+	../src/org/maemo/hermes/gui/gtkui.py                \
+	../src/org/maemo/hermes/gui/searchablelist.py       \
+	../src/org/maemo/hermes/engine/provider.py          \
+	../src/org/maemo/hermes/engine/provider_oauth.py    \
 	../src/org/maemo/hermes/engine/linkedin/provider.py \
 	../src/org/maemo/hermes/engine/facebook/provider.py \
-	../src/org/maemo/hermes/gui/gtkui.py \
-	../src/org/maemo/hermes/gui/accountsdialogue.py \
-	../src/org/bleb/wimpworks.py \
 # This comment gets stripped out
 
 CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

=== debian/changelog ===
hermes (0.8.9) fremantle; urgency=low

  * Use the redirected picture URL to get larger resolution images.
    Fixes MB#11736, reported by many people.

 -- Andrew Flegg <andrew@bleb.org>  Sun,  2 Jan 2011 13:40:10 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python-imaging |
  python2.5-imaging, python-osso | python2.5-osso, python-hildon |
  python2.5-hildon, python-simplejson, python-evolution, python-conic,
- python-facebook (>= 0.svn20090225-0maemo2), python-evolution,
- python-gobject (>= 2.16), gnome-python
+ python-evolution, python-gobject (>= 2.16), gnome-python
 Description: Enrich contacts' information from social networks
  Hermes, the Greek god of communication, will fill in the gaps in your
  contacts' address book. Photos and birthdays for your friends on

## hermes 1.13.1

=== DESCRIPTION ===
Package: hermes
Title: Preprocessing, analyzing, and reporting of RNA-seq data
Type: Package
Date: 2025-09-09
Version: 1.13.1
Authors@R: c(
    person("Daniel", "Sabanés Bové", email = "daniel.sabanes_bove@rconis.com", role = c("aut", "cre")),
    person("Namrata", "Bhatia", role = "aut"),
    person("Stefanie", "Bienert", role = "aut"),
    person("Benoit", "Falquet", role = "aut"),
    person("Haocheng", "Li", role = "aut"),
    person("Jeff", "Luong", role = "aut"),
    person("Lyndsee", "Midori Zhang", email = "zhang.lyndsee@gene.com", role = "aut"),
    person("Alex", "Richardson", role = "aut"),
    person("Simona", "Rossomanno", role = "aut"),
    person("Tim", "Treis", role = "aut"),
    person("Mark", "Yan", role = "aut"),
    person("Naomi", "Chang", role = "aut"),
    person("Chendi", "Liao", email = "chendi.liao@roche.com", role = "aut"),
    person("Carolyn Zhang", role = "aut"),
    person("Joseph N.", "Paulson", email = "paulson.joseph@gene.com", role = "aut"),
    person("F. Hoffmann-La Roche AG", role = c("cph", "fnd"))
  )
Description: Provides classes and functions for quality control,
    filtering, normalization and differential expression analysis of
    pre-processed `RNA-seq` data. Data can be imported from
    `SummarizedExperiment` as well as `matrix` objects and can be
    annotated from `BioMart`. Filtering for genes without too low
    expression or containing required annotations, as well as filtering
    for samples with sufficient correlation to other samples or total
    number of reads is supported. The standard normalization methods
    including cpm, rpkm and tpm can be used, and 'DESeq2` as well as voom
    differential expression analyses are available.
License: Apache License 2.0
URL: https://insightsengineering.github.io/hermes/
BugReports: https://github.com/insightsengineering/hermes/issues
Depends: ggfortify, R (>= 4.1), SummarizedExperiment (>= 1.16)
Imports: assertthat, Biobase, BiocGenerics, biomaRt, checkmate (>=
        2.1), circlize, ComplexHeatmap, DESeq2, dplyr, edgeR, EnvStats,
        forcats (>= 1.0.0), GenomicRanges, ggplot2, ggrepel (>= 0.9),
        IRanges, limma, magrittr, matrixStats (>= 1.5.0), methods,
        MultiAssayExperiment, purrr, R6, Rdpack (>= 2.6.2), rlang,
        S4Vectors, stats, tidyr, utils
Suggests: BiocStyle, DelayedArray, DT, grid, httr, knitr, rmarkdown,
        statmod, testthat (>= 3.2.2), vdiffr (>= 1.0.8)
VignetteBuilder: knitr
RdMacros: Rdpack
biocViews: RNASeq, DifferentialExpression, Normalization,
        Preprocessing, QualityControl
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
LazyData: true
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.0
Collate: 'GeneSpec-class.R' 'HermesData-validate.R'
        'HermesData-class.R' 'HermesData-methods.R'
        'argument_convention.R' 'assertthat.R' 'calc_cor.R'
        'checkmate.R' 'connections.R' 'data.R' 'differential.R'
        'dplyr_compatibility.R' 'draw_barplot.R' 'draw_boxplot.R'
        'draw_heatmap.R' 'draw_scatterplot.R' 'graphs.R' 'join_cdisc.R'
        'normalization.R' 'package.R' 'pca.R' 'pca_cor_samplevar.R'
        'quality.R' 'top_genes.R' 'utils.R'
git_url: https://git.bioconductor.org/packages/hermes
git_branch: devel
git_last_commit: 8ccc74e
git_last_commit_date: 2025-09-08
Repository: Bioconductor 3.22
Date/Publication: 2025-10-07
NeedsCompilation: no
Packaged: 2025-10-07 22:08:01 UTC; biocbuild
Author: Daniel Sabanés Bové [aut, cre],
  Namrata Bhatia [aut],
  Stefanie Bienert [aut],
  Benoit Falquet [aut],
  Haocheng Li [aut],
  Jeff Luong [aut],
  Lyndsee Midori Zhang [aut],
  Alex Richardson [aut],
  Simona Rossomanno [aut],
  Tim Treis [aut],
  Mark Yan [aut],
  Naomi Chang [aut],
  Chendi Liao [aut],
  Carolyn Zhang [aut],
  Joseph N. Paulson [aut],
  F. Hoffmann-La Roche AG [cph, fnd]
Maintainer: Daniel Sabanés Bové <daniel.sabanes_bove@rconis.com>

## hermes 1.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Preprocessing, analyzing, and reporting of RNA-seq data
 Type: Package
 Date: 2025-09-09
-Version: 1.13.1
+Version: 1.14.0
 Authors@R: c(
     person("Daniel", "Sabanés Bové", email = "daniel.sabanes_bove@rconis.com", role = c("aut", "cre")),
     person("Namrata", "Bhatia", role = "aut"),
@@ -62,13 +62,13 @@
         'normalization.R' 'package.R' 'pca.R' 'pca_cor_samplevar.R'
         'quality.R' 'top_genes.R' 'utils.R'
 git_url: https://git.bioconductor.org/packages/hermes
-git_branch: devel
-git_last_commit: 8ccc74e
-git_last_commit_date: 2025-09-08
+git_branch: RELEASE_3_22
+git_last_commit: b415d55
+git_last_commit_date: 2025-10-29
 Repository: Bioconductor 3.22
-Date/Publication: 2025-10-07
+Date/Publication: 2025-10-29
 NeedsCompilation: no
-Packaged: 2025-10-07 22:08:01 UTC; biocbuild
+Packaged: 2025-10-30 04:26:55 UTC; biocbuild
 Author: Daniel Sabanés Bové [aut, cre],
   Namrata Bhatia [aut],
   Stefanie Bienert [aut],

## hermes 1.15.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Title: Preprocessing, analyzing, and reporting of RNA-seq data
 Type: Package
 Date: 2025-09-09
-Version: 1.14.0
+Version: 1.15.0
 Authors@R: c(
     person("Daniel", "Sabanés Bové", email = "daniel.sabanes_bove@rconis.com", role = c("aut", "cre")),
     person("Namrata", "Bhatia", role = "aut"),
@@ -62,13 +62,13 @@
         'normalization.R' 'package.R' 'pca.R' 'pca_cor_samplevar.R'
         'quality.R' 'top_genes.R' 'utils.R'
 git_url: https://git.bioconductor.org/packages/hermes
-git_branch: RELEASE_3_22
-git_last_commit: b415d55
+git_branch: devel
+git_last_commit: da21eaa
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-31
 NeedsCompilation: no
-Packaged: 2025-10-30 04:26:55 UTC; biocbuild
+Packaged: 2025-10-31 22:14:37 UTC; biocbuild
 Author: Daniel Sabanés Bové [aut, cre],
   Namrata Bhatia [aut],
   Stefanie Bienert [aut],
